[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#659244: dom-safe-pull: should fail when ssh+git connection fails



Package: dh-ocaml
Version: 1.0.3
Severity: normal

dom-safe-pull reports that all branches are up-to-date when it cannot
connect to the remote repository. Instead, it should fail in this case:

% dom-safe-pull 
Feching origin...
Enter passphrase for key '/home/rt/.ssh/id_rsa': <-- killed with CTRL-C
Switched to branch 'pristine-tar'
Already up-to-date.
Switched to branch 'upstream'
Already up-to-date.
Switched to branch 'master'
Already up-to-date.
% ssh-add -L 
The agent has no identities.
% ssh-add
Enter passphrase for /home/rt/.ssh/id_rsa: 
Identity added: /home/rt/.ssh/id_rsa (/home/rt/.ssh/id_rsa)
% dom-safe-pull
Feching origin...
remote: Counting objects: 21, done.
remote: Compressing objects: 100% (13/13), done.
remote: Total 13 (delta 8), reused 0 (delta 0)
Unpacking objects: 100% (13/13), done.
>From git+ssh://git.debian.org/git/pkg-ocaml-maint/packages/dose3
   ec4b9bb..06ed7ec  master     -> origin/master     
[...]

-Ralf.


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.utf8)
Shell: /bin/sh linked to /bin/dash

dh-ocaml depends on no packages.

Versions of packages dh-ocaml recommends:
ii  debhelper  8.9.14
ii  ocaml-nox  3.12.1-2

Versions of packages dh-ocaml suggests:
ii  git  1:1.7.8.3-1

-- no debconf information



Reply to: